GET
Gets information about the specified Compute Node.
https://azure.com/pools/{poolId}/nodes/{nodeId}Access Token Required: API Key
Path Parameters
poolIdstringrequired
The ID of the Pool that contains the Compute Node.
nodeIdstringrequired
The ID of the Compute Node that you want to get information about.
Query Params
$selectstring
An OData $select clause.
timeoutstring
The maximum time that the server can spend processing the request, in seconds. The default is 30 seconds.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request GET \2 --url 'https://azure.com/pools/{poolId}/nodes/{nodeId}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}